<?php
/*
	Name: Thesis Content Slider
	Author: wpthesisskins.com
	Version: 1.0
	Description: Thesis Content Slider Box for Thesis Theme 2.0.
	Class: thesis_content_slider
*/


class thesis_content_slider extends thesis_box {
	
	protected function translate() {
		$this->title = __('Thesis Content Slider', 'thesis');
	}
	
	protected function construct() { if(!is_admin()) {
    wp_enqueue_script('jquery'); 
	wp_enqueue_script('thesis-content-slider-script36', THESIS_USER_BOXES_URL . "/thesis-content-slider/js/easySlider1.7.js", 'jQueryPack','', false);
	wp_enqueue_script('thesis-content-slider-script364', THESIS_USER_BOXES_URL . "/thesis-content-slider/js/jquery.noisy.min.js", 'jQueryPack','', false);
	wp_enqueue_script('thesis-content-slider-script364', THESIS_USER_BOXES_URL . "/thesis-content-slider/js/gradient.js", 'jQueryPack','', false);
	wp_enqueue_style('thesis-content-slider-script361', THESIS_USER_BOXES_URL . "/thesis-content-slider/css/style.css");
  
    } } 
	
		
	protected function options() {
		global $thesis;
		return array(
			
			'readcheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable Slider Box ', 'thesis'),

				'tooltip' => sprintf(__('If you want to disable Slider box please select checkbox', 'thesis')),

					'options' => array(

						'welcomeoptions' => __('Disable Slider box', 'thesis'),

						)

				),
				
				'catname' => array(
				'type' => 'text',
				'width' => 'medium',
				'label' => __('Enter your category name', 'thesis'),
				'tooltip' => sprintf(__('Here to enter your category name of post', 'thesis')),
				'default' => ''
				),
			    'npost' => array(
				'type' => 'text',
				'width' => 'medium',
				'label' => __('Enter number of post to display', 'thesis'),
				'tooltip' => sprintf(__('Here to enter number of post to display on slideshow', 'thesis')),
				'default' => '5'
				),
				'sspeed' => array(
				'type' => 'text',
				'width' => 'short',
				'label' => __('Change your slider speed', 'thesis'),
				'tooltip' => sprintf(__('Enter your slider speed', 'thesis')),
				'default' => '2000'
				),
				'pspeed' => array(
				'type' => 'text',
				'width' => 'short',
				'label' => __('Change your slider pause speed', 'thesis'),
				'tooltip' => sprintf(__('Enter your slider pause speed', 'thesis')),
				'default' => '2000'
				),
				
								
				
			
			);
	}

	public function html() {
		global $thesis, $post;
		

		// get options

		$options = $thesis->api->get_options($this->options(), $this->options);

		
if(!$options['readcheck']){?>

  <script type="text/javascript" charset="utf-8">
        jQuery(document).ready(function() { jQuery("#slider").easySlider({ numeric: true, auto: true, continuous: true, speed:<?php echo $options['sspeed']; ?>, pause:<?php echo $options['pspeed']; ?> }); });
</script>
					
           
			  
<div id="slider_area" class="full_width">
      <div class="page">
        <div id="front_slider"class="clearfix">
          	<div id="slider">
			<?php 
			$v1=$options['npost'];
			$v=$options['catname'];
				
				?>
			        			<ul>			
						 			<?php      
						
        				$parameters = array('numberposts'=>$v1, 'category_name' =>$v); 
        		
                $from_the_blog = get_posts($parameters);
                foreach($from_the_blog as $post) : setup_postdata( $post );
                ?>
                <li class="name">
                  <div class="slider_content">
               		  <h2><a href="<?= the_permalink(); ?>"><?php the_title(); ?></a></h2>
               		  <?php the_excerpt(); ?>
               	    <a class="read_more" href="<?php the_permalink(); ?>">Read More...</a>
               	  </div>
               	  <div class="slider_image">
                    <?php if(has_post_thumbnail()) { ?><a href="<?= the_permalink(); ?>"><?php the_post_thumbnail('slider'); ?></a><?php } else { ?><?php } ?>
               	  </div>
                </li>	
        				<?php endforeach; wp_reset_query(); ?>  		
        			</ul>
        		</div>
      </div>
    </div>
  </div>

  
<?php


}
	

	}

}?>